import { jsxs as _jsxs, jsx as _jsx } from "react/jsx-runtime";
import { FaChevronRight, FaChevronLeft } from 'react-icons/fa';
var Pagination = function (_a) {
    var _b;
    var setup = _a.setup, currentPage = _a.currentPage, totalPages = _a.totalPages, onPageChange = _a.onPageChange, pageSize = _a.pageSize, onPageSizeChange = _a.onPageSizeChange;
    var handlePrevious = function () {
        if (currentPage > 1) {
            onPageChange(currentPage - 1);
        }
    };
    var handleNext = function () {
        if (currentPage < totalPages) {
            onPageChange(currentPage + 1);
        }
    };
    var handlePageSizeChange = function (event) {
        var newSize = Number(event.target.value);
        onPageSizeChange === null || onPageSizeChange === void 0 ? void 0 : onPageSizeChange(newSize);
    };
    return (_jsxs("div", { className: "s-pagination", style: { display: 'flex', justifyContent: 'flex-end' }, children: [((_b = setup.table) === null || _b === void 0 ? void 0 : _b.page_sizes) && setup.table.page_sizes.length > 0 && (_jsx("div", { className: "s-pagination__selector", style: { marginRight: '10px' }, children: _jsx("select", { value: pageSize, onChange: handlePageSizeChange, style: { padding: '4px' }, children: setup.table.page_sizes.map(function (size) { return (_jsxs("option", { value: size !== null && size !== void 0 ? size : '', children: [size, "/trang"] }, size)); }) }) })), _jsx("button", { className: "s-pagination__button ".concat(currentPage === 1 ? 'disabled' : ''), onClick: handlePrevious, disabled: currentPage === 1, children: _jsx(FaChevronLeft, { fontSize: 20 }) }), _jsxs("span", { style: { margin: '5px 10px 0', minWidth: '50px', textAlign: 'center' }, children: [currentPage, " / ", totalPages] }), _jsx("button", { className: "s-pagination__button ".concat(currentPage === totalPages ? 'disabled' : ''), onClick: handleNext, disabled: currentPage === totalPages, children: _jsx(FaChevronRight, { fontSize: 20 }) })] }));
};
export default Pagination;
